" Nastaveni komentarovych retezcu.
let b:CommentType = "ms"            " m - jazyk podporuje viceradkove
                                    "     komentare
                                    " s - jazyk podporuje jednoradkove
                                    "     komentare
let b:beginOfCommentSingle = "<!-- "  " retezec zacatku jednoradkoveho
                                      " komentare
let b:endOfCommentSingle = " -->"   " retezec konce jednoradkoveho komentare
let b:beginOfCommentMulti = "<!--"  " retezec zacatku viceradkoveho
                                    " komentare
let b:endOfCommentMulti = "-->"     " retezec konce viceradkoveho komentare

" Automaticky detekovat kodovani XML souboru z jeho hlavicky a soubor v tomto 
" kodovani otevirat a ukladat.
let i = 1
while i < 10 && i < line("$")
  let line = getline(i)
  if line =~ '<?xml[[:space:]][^>]*encoding=[^>]*?>'
    let i = 10
    let &l:fileencodings = substitute(line, 
        \"<?xml[[:space:]][^>]*encoding=\\([\"\']\\)\\([^\"\']*\\)\\1[^>]*?>", 
        \"\\2", 
        \"")
    edit
  endif
  let i += 1
endwhile

" Pouzit skript, ktery definuje prikaz Control+_ pro automaticke doplneni 
" uzaviraci znacky posledniho tagu v XML syntaxi.
runtime macros/closetag.vim

" Umoznit vkladani standardnich XML entit zapisem ,{znak_entity}.
imap <buffer> ,< &lt;
imap <buffer> ,> &gt;
imap <buffer> ,& &amp;
imap <buffer> ,' &apos;
imap <buffer> ," &quot;

" Vypne automaticke formatovani odstavcu.
setlocal formatoptions-=a

""" Zacatek nastaveni urcenych pouze pro Vim se zakompilovanou podporou 
""" autocommands.
if has("autocmd")
  " Pouzit script, ktery definuje vychozi sklady zdrojoveho kodu dle jeho 
  " struktury.
  autocmd BufWinEnter,FileType <buffer> runtime macros/XMLFolding.vim
endif
""" Konec nastaveni urcenych pouze pro Vim se zakompilovanou podporou 
""" autocommands.
